package com.quant.entity;

import java.util.Date;

/**
 * ProductProfit entity. @author MyEclipse Persistence Tools
 */

public class ProductProfit implements java.io.Serializable {

	// Fields

	private Integer id;
	private Integer productId;
	private Long profit;
	private Long netValue;
	private Date currentTime;

	// Constructors

	/** default constructor */
	public ProductProfit() {
	}

	/** full constructor */
	public ProductProfit(Integer productId, Long profit, Long netValue,
			Date currentTime) {
		this.productId = productId;
		this.profit = profit;
		this.netValue = netValue;
		this.currentTime = currentTime;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getProductId() {
		return this.productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public Long getProfit() {
		return this.profit;
	}

	public void setProfit(Long profit) {
		this.profit = profit;
	}

	public Long getNetValue() {
		return this.netValue;
	}

	public void setNetValue(Long netValue) {
		this.netValue = netValue;
	}

	public Date getCurrentTime() {
		return this.currentTime;
	}

	public void setCurrentTime(Date currentTime) {
		this.currentTime = currentTime;
	}

}